/****************************************************************************
 *
 *   Copyright (C) 2003, 2004 Wolfgang G. Reissnegger, All Rights Reserved
 *
 *   gnagflow@users.sourceforge.net                                    
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#include "ctxmenu_play.h"

#include <stdio.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "display.h"
#include "menu.h"
#include "info.h"
#include "hotkey.h"
#include "util.h"


/******************************************************************************/

static void ctxmenu_play_add_playlist(void *data)
{
}


/******************************************************************************/

static void ctxmenu_play_like_song(void *data)
{
}


/******************************************************************************/

static void ctxmenu_play_dont_play(void *data)
{
}


/******************************************************************************/

void ctxmenu_play(void *data)
{
	screen_t *ctxmenu_play = menu_new();

	menu_add(ctxmenu_play, "Add to PLAYLIST", ctxmenu_play_add_playlist);
	menu_add(ctxmenu_play, "I like this song", ctxmenu_play_like_song);
	menu_add(ctxmenu_play, "Don't play anymore", ctxmenu_play_dont_play);

	display_push(ctxmenu_play);
}
